Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.quartz
Enum Trigger.TriggerState

    java.lang.Object
      java.lang.Enum<Trigger.TriggerState>
          org.quartz.Trigger.TriggerState

All Implemented Interfaces:
  Serializable, Comparable<Trigger.TriggerState>

Enclosing interface:
  Trigger

    public static enum Trigger.TriggerState

extends Enum<Trigger.TriggerState>

Enum Constant Summary
`BLOCKED`
`COMPLETE`
`ERROR`
`NONE`
`NORMAL`
`PAUSED`

Method Summary
`static Trigger.TriggerState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Trigger.TriggerState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final Trigger.TriggerState NONE

### NORMAL

    public static final Trigger.TriggerState NORMAL

### PAUSED

    public static final Trigger.TriggerState PAUSED

### COMPLETE

    public static final Trigger.TriggerState COMPLETE

### ERROR

    public static final Trigger.TriggerState ERROR

### BLOCKED

    public static final Trigger.TriggerState BLOCKED

Method Detail

### values

    public static Trigger.TriggerState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Trigger.TriggerState c : Trigger.TriggerState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Trigger.TriggerState valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2001-2013, Terracotta, Inc.